## qt6integration 6.0.18

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

set(DTK_VERSION
  5.6.12
  CACHE STRING "Project version"
)

project(
  qtintegration
  VERSION ${DTK_VERSION}
  DESCRIPTION "Qt platform integration for DTK"
  HOMEPAGE_URL "https://github.com/linuxdeepin/qt5integration"
  LANGUAGES CXX C
)

option(BUILD_TESTS "Build tests" OFF)
option(ENABLE_COV "Enable code coverage" OFF)

if(PROJECT_VERSION_MAJOR EQUAL 6)
  set(VERSION_SUFFIX 6)
  find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
else()
  set(VERSION_SUFFIX)
  find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif()
include(GNUInstallDirs)
include(CMakeParseArguments)
include(CMakeDependentOption)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()
string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_LOWER)
if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
endif()

if(ENABLE_COV)
  find_package(DtkBuildHelper REQUIRED)
endif()

# Some util functions
function(dtk_add_plugin)
  set(options)
  set(oneValueArgs NAME OUTPUT_NAME OUTPUT_DIR INSTALL_DIR)
  set(multiValueArgs SOURCES HEADERS RESOURCES DEPENDENCIES DEFINITIONS OPTIONS INCLUDE_DIRS)
  cmake_parse_arguments(TARGET "${options}" "${oneValueArgs}"
                        "${multiValueArgs}" ${ARGN})
  set(RAW_SOURCES ${TARGET_SOURCES} ${TARGET_RESOURCES})
  foreach(HEADER ${TARGET_HEADERS})
    get_filename_component(HEADER_ABS_PATH ${HEADER} ABSOLUTE BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    list(APPEND ABS_PATH_SOURCES ${SOURCE_ABS_PATH})
    get_filename_component(HEADER_DIR ${HEADER_ABS_PATH} DIRECTORY)
    list(APPEND TARGET_INTERFACE_INCLUDE_DIRS ${HEADER_DIR})
  endforeach()
  list(REMOVE_DUPLICATES TARGET_INTERFACE_INCLUDE_DIRS)
  foreach(SOURCE ${RAW_SOURCES})
    get_filename_component(SOURCE_ABS_PATH ${SOURCE} ABSOLUTE BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    list(APPEND ABS_PATH_SOURCES ${SOURCE_ABS_PATH})
  endforeach()
  add_library(${TARGET_NAME} SHARED ${TARGET_HEADERS} ${TARGET_SOURCES} ${TARGET_RESOURCES})
  target_compile_definitions(${TARGET_NAME} PRIVATE ${TARGET_DEFINITIONS})
  target_compile_options(${TARGET_NAME} PRIVATE ${TARGET_OPTIONS})
  target_link_libraries(${TARGET_NAME} PRIVATE ${TARGET_DEPENDENCIES})
  foreach(dependency ${TARGET_DEPENDENCIES})
    target_link_libraries(${TARGET_NAME} INTERFACE $<BUILD_INTERFACE:${dependency}>)
  endforeach()
  target_include_directories(${TARGET_NAME} PRIVATE ${TARGET_INCLUDE_DIRS})
  foreach(include_dir ${TARGET_INCLUDE_DIRS})
    target_include_directories(${TARGET_NAME} INTERFACE $<BUILD_INTERFACE:${include_dir}>)
  endforeach()
  if(TARGET_OUTPUT_NAME)
    set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${OUTPUT_NAME})
  endif()
  if(TARGET_OUTPUT_DIR)
    set_target_properties(${TARGET_NAME}
                          PROPERTIES
                          LIBRARY_OUTPUT_DIRECTORY ${TARGET_OUTPUT_DIR})
  endif()
  if(TARGET_INSTALL_DIR)
    install(TARGETS ${TARGET_NAME} DESTINATION ${TARGET_INSTALL_DIR})
  endif()
  if(ENABLE_COV)
    dtk_setup_code_coverage(${TARGET_NAME})
  endif()
endfunction()

find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)
cmake_dependent_option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON "QT_VERSION_MAJOR EQUAL 5" OFF)
if(ENABLE_QT_XDG_ICON_LOADER)
  find_package(Qt5XdgIconLoader REQUIRED)
  find_package(Qt5Xdg REQUIRED)
  set(QT_XDG_ICON_DEPS Qt5XdgIconLoader Qt5Xdg)
  set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
endif()

set(PLUGIN_OUTPUT_BASE_DIR ${CMAKE_BINARY_DIR}/plugins CACHE STRING "Plugin output base path")
set(PLUGIN_INSTALL_BASE_DIR ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins CACHE STRING "Plugin install base path")

add_subdirectory(iconengineplugins)
add_subdirectory(imageformatplugins)
add_subdirectory(platformthemeplugin)
add_subdirectory(styleplugins)
if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
  add_subdirectory(styles)
endif()
if(BUILD_TESTS)
  add_subdirectory(tests)
endif()

=== platformthemeplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus Widgets)
set(QT_LIBS Qt${QT_VERSION_MAJOR}::DBus Qt${QT_VERSION_MAJOR}::Widgets)
if(QT_VERSION_MAJOR EQUAL 5)
    find_package(Qt5X11Extras REQUIRED)
    list(APPEND QT_LIBS Qt5::X11Extras ${QT_XDG_ICON_DEPS})
    if(QT_VERSION_MINOR GREATER_EQUAL 8) # Qt5.8
        find_package(Qt5ThemeSupport REQUIRED)
        list(APPEND QT_LIBS Qt5::ThemeSupportPrivate)
    else()
        list(APPEND QT_LIBS Qt5::PlatformSupportPrivate) # TODO to be verified
    endif()
    set(3RD_PARTY_SOURCES
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbustrayicon.cpp
        ${CMAKE_SOURCE_DIR}/3rdparty/qstatusnotifieritemadaptor.cpp
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbusmenuconnection.cpp
    )
    set(3RD_PARTY_HEADERS
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbustrayicon_p.h
        ${CMAKE_SOURCE_DIR}/3rdparty/qstatusnotifieritemadaptor_p.h
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbusmenuconnection_p.h
    )
else()
    list(APPEND QT_LIBS Qt6::GuiPrivate)
endif()
find_package(PkgConfig REQUIRED)
pkg_check_modules(Deps REQUIRED IMPORTED_TARGET mtdev x11)
if(ENABLE_QT_XDG_ICON_LOADER)
    set(DEFS -DXDG_ICON_VERSION_MAR=${XDG_ICON_VERSION_MAJOR})
endif()
if(QT_VERSION_MAJOR EQUAL 5)
    qt5_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialog.xml filedialog_interface)
    qt5_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialogmanager.xml filedialogmanager_interface)
else()
    qt6_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialog.xml filedialog_interface)
    qt6_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialogmanager.xml filedialogmanager_interface)
endif()
dtk_add_plugin(
    NAME
        qdeepin
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/platformthemes
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/platformthemes
    SOURCES
        dthemesettings.cpp
        qdeepinfiledialoghelper.cpp
        qdeepintheme.cpp
        ${3RD_PARTY_SOURCES}
        main.cpp
        ${DBUS_INTERFACES}
    HEADERS
        dthemesettings.h
        qdeepinfiledialoghelper.h
        qdeepintheme.h
        ${3RD_PARTY_HEADERS}
    RESOURCES
        icons/deepin-theme-plugin-icons.qrc
        deepin-theme-plugin.qrc
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Gui
        ${QT_LIBS}
        PkgConfig::Deps
    DEFINITIONS
        ${DEFS}
    INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
)

=== debian/changelog ===
qt6integration (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/qt5integration

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

qt6integration (6.0.17) unstable; urgency=medium

  * sync: from linuxdeepin/qt5integration
  * sync: from linuxdeepin/qt5integration

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:02 +0000

qt6integration (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:26:00 +0800

qt6integration (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:16:44 +0800

qt6integration (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:26:42 +0800

qt6integration (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:16:34 +0800

qt6integration (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:36:02 +0800

qt6integration (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:26:43 +0800

qt6integration (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 13:49:30 +0800

qt6integration (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:07:35 +0800

qt6integration (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:46 +0800

qt6integration (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:41 +0800

qt6integration (6.0.2) unstable; urgency=medium

  * 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 16:03:57 +0800

qt6integration (6.0.1) unstable; urgency=medium

  * support archlinux build

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 13 Nov 2023 10:16:51 +0800

qt6integration (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 27 Oct 2023 10:14:27 +0800

qt5integration (5.6.17) unstable; urgency=medium

  * release 5.6.17
  * feat: scrollbar show policy tweak
  * fix: some apps failed to create system tray

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 30 Aug 2023 13:42:26 +0800

qt5integration (5.6.16) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(CI): Update obs tag build workflow
  * chore: always use qmake
  * fix: compatibility with libqtxdg2
  * feat: support cmake and Qt6
  * feat: imageformatplugins support cmake and Qt6
  * feat: platformthemeplugin supports cmake and Qt6
  * feat: styleplugins support cmake and Qt6
  * feat: styles support cmake and Qt6
  * fix: DLineEdit setAlert not work on DDialog(Issue: #91)
  * fix: missing 3rdparty sources and resources
  * chore: fix nodiscard warning
  * fix: do not compile and install dstyleplugin
  * fix: redirect styles output
  * feat: tests support cmake and Qt6
  * Revert "fix(style): the list view item select rect subtraction the frame margins"
  * fix: dbusmenu related symbols are hidden in Qt6
  * chore: delete deprecated project files
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)
  * fix: Combobox's background is wrong when hover(Issue: #61)
  * fix: svg imageformat plugin not load
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: delete deprecated interface about iconengine
  * fix: diconengine load failed
  * tests: fix unit tests resource lacking
  * fix: file manage crash
  * fix: compatibility with orientation
  * refactor: remove unused old style
  * feat: add test coverage script
  * tests: add some unit tests
  * chore: add additional runtime control
  * chore: correct source file license
  * refactor: ut sources to linked form
  * chore: remove redundant macro
  * chore: use libfreetype-dev instead of libfreetype6-dev
  * fix: App failed to create multiple system trays

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Aug 2023 15:36:34 +0800

qt5integration (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#53 dtk#55 dtk#64 dtk#65 developer-center#4122

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:50:24 +0800

qt5integration (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX dtkwidget/#399 dtkwidget/#409
  * FIX developer-center/#4068 developer-center/#4077
  * deepin theme plugin add DDE key


 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:18:59 +0800

qt5integration (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:20:50 +0800

qt5integration (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Mar 2023 10:13:11 +0800

qt5integration (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:10:21 +0800

qt5integration (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 11:13:35 +0800

qt5integration (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 17:19:33 +0800

qt5integration (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 08 Jul 2022 15:24:31 +0800

qt5integration (5.5.21.1) unstable; urgency=medium

  * Release 5.5.21.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:45:17 +0800

qt5integration (1.0.0) unstable; urgency=medium



=== debian/control ===
Source: qt6integration
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 qt6-base-dev,
 qt6-base-private-dev,
 libdtk6widget-dev,
 libdtkcommon-dev,
 pkg-config,
 libfontconfig1-dev,
 libfreetype-dev,
 libglib2.0-dev,
 qt6-svg-dev,
 libmtdev-dev,
 libegl1-mesa-dev,
 libxrender-dev,
 libgtest-dev,
 libgmock-dev
Standards-Version: 3.9.8

Package: dde-qt6integration
Architecture: any
Provides: libqt6deepintheme-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt6xcb-plugin
Description: Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt6 integration for DDE is included.

## qt6integration 6.0.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" OFF)
+option(BUILD_TESTS "Build tests" ON)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
@@ -103,12 +103,22 @@
 endfunction()
 
 find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)
-cmake_dependent_option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON "QT_VERSION_MAJOR EQUAL 5" OFF)
+
+option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON)
+find_package(Qt${QT_VERSION_MAJOR}Xdg)
+if (NOT Qt${QT_VERSION_MAJOR}Xdg_FOUND)
+    message(WARNING " Qt${QT_VERSION_MAJOR}XdgIconLoader Not Found, DISABLE QtXdgIconLoader !")
+    set (ENABLE_QT_XDG_ICON_LOADER OFF)
+endif()
+
 if(ENABLE_QT_XDG_ICON_LOADER)
-  find_package(Qt5XdgIconLoader REQUIRED)
-  find_package(Qt5Xdg REQUIRED)
-  set(QT_XDG_ICON_DEPS Qt5XdgIconLoader Qt5Xdg)
-  set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
+  set(QT_XDG_ICON_DEPS Qt${QT_VERSION_MAJOR}XdgIconLoader Qt${QT_VERSION_MAJOR}Xdg)
+
+  if("${QT_VERSION_MAJOR}" STREQUAL "5")
+      set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
+  elseif("${QT_VERSION_MAJOR}" STREQUAL "6")
+      set(XDG_ICON_VERSION_MAJOR ${Qt6XdgIconLoader_VERSION_MAJOR})
+  endif()
 endif()
 
 set(PLUGIN_OUTPUT_BASE_DIR ${CMAKE_BINARY_DIR}/plugins CACHE STRING "Plugin output base path")
@@ -121,6 +131,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS)
+if(BUILD_TESTS AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
   add_subdirectory(tests)
 endif()

=== iconengineplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(diconengine)
add_subdirectory(svgiconengine)

=== debian/changelog ===
qt6integration (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:31:14 +0800

qt6integration (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:27:15 +0800

qt6integration (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:45:15 +0800

qt6integration (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 16:10:57 +0800

qt6integration (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:09:45 +0800

qt6integration (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/qt5integration
  * sync: from linuxdeepin/qt5integration

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000

## qt6integration 6.0.34

=== styleplugins/chameleon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
dtk_add_plugin(
    NAME chameleon
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/styles
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/styles
    SOURCES
        main.cpp
        chameleonstyle.cpp
        dstyleanimation.cpp
    HEADERS
        chameleonstyle.h
        common.h
        dstyleanimation.h
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Widget
        Qt${QT_VERSION_MAJOR}::CorePrivate
        Qt${QT_VERSION_MAJOR}::GuiPrivate
        Qt${QT_VERSION_MAJOR}::WidgetsPrivate
)

=== debian/changelog ===
qt6integration (6.0.34) unstable; urgency=medium

  * Release 6.0.34

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:53:58 +0800

qt6integration (6.0.33) unstable; urgency=medium

  * Release 6.0.33

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:20:19 +0800

qt6integration (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/qt5integration

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:38:25 +0800

qt6integration (6.0.31) unstable; urgency=medium

  * Release 6.0.31

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:57:14 +0800

qt6integration (6.0.30) unstable; urgency=medium

  * Release 6.0.30

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:14:42 +0800

qt6integration (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:08:20 +0800

qt6integration (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:18:47 +0800

qt6integration (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:17:32 +0800

qt6integration (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:14:09 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDTK_VERSION=$(_PACK_VER)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## qt6integration 6.0.35

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" ON)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
@@ -49,6 +48,7 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
 elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
+  set(BUILD_TESTING ON)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
 endif()
 
@@ -131,6 +131,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
+if(BUILD_TESTING)
   add_subdirectory(tests)
 endif()

=== debian/changelog ===
qt6integration (6.0.35) unstable; urgency=medium

  * Release 6.0.35

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:31 +0800

## qt6integration 6.0.38

=== debian/changelog ===
qt6integration (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:08:58 +0800

qt6integration (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:11:31 +0800

qt6integration (6.0.36) unstable; urgency=medium

  * Release 6.0.36

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:49 +0800

## qt6integration 6.0.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,9 @@
 
 cmake_minimum_required(VERSION 3.13)
 
-set(DTK_VERSION
-  5.6.12
-  CACHE STRING "Project version"
-)
+file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "Project version")
 
 project(
   qtintegration

=== debian/changelog ===
qt6integration (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:12:41 +0800

## qt6integration 6.0.41

=== debian/changelog ===
qt6integration (6.0.41) unstable; urgency=medium

  * Release 6.0.41

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:47:53 +0800

qt6integration (6.0.40) unstable; urgency=medium

  * Release 6.0.40

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:54 +0800

## qt6integration 6.0.44

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,9 @@
 if(PROJECT_VERSION_MAJOR EQUAL 6)
   set(VERSION_SUFFIX 6)
   find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
+  if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 COMPONENTS CorePrivate GuiPrivate WidgetsPrivate REQUIRED)
+  endif()
 else()
   set(VERSION_SUFFIX)
   find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_executable(unit-tests
    iconengines/svgiconengine/ut_qsvgiconengine.cpp
    iconengines/svgiconengine/icons.qrc
    imageformats/dci/ut_qdciiohandler.cpp
    imageformats/dci/dci_test_files.qrc
    imageformats/svg/ut_qsvgiohandler.cpp
    styleplugins/chameleon/ut_chameleonstyle.cpp
    styleplugins/chameleon/icons/theme-icons.qrc
    platformtheme/ut_dthemesettings.cpp
    platformtheme/ut_qdeepintheme.cpp
    platformtheme/ut_qdeepinfiledialoghelper.cpp
    platformtheme/test-files.qrc
    platformtheme/filedialogservice.h
    platformtheme/filedialogservice.cpp
    platformtheme/filedialogmanagerservice.h
    platformtheme/filedialogmanagerservice.cpp
    ut_pluginloading.cpp
    main.cpp
)

find_package(GTest REQUIRED)

target_compile_options(unit-tests PRIVATE
    -g
    -fno-access-control
    -Wall
    -fsanitize=address
    -fsanitize-recover=address
    -O0
)

target_link_options(unit-tests PRIVATE
    -fsanitize=address
    -fsanitize-recover=address
)

 target_link_libraries(unit-tests PRIVATE
    GTest::GTest
    GTest::gmock
    dicon
    dsvgicon
    dci
    dsvg
    qdeepin
    chameleon
    asan
)

target_compile_definitions(unit-tests PRIVATE
    DIALOG_SERVICE="org.deepin.fakefilemanager.filedialog"
    META_FILE_BASE_DIR="${CMAKE_SOURCE_DIR}"
    UT_PLATFORMPLUGIN_PATH="${PLUGIN_OUTPUT_BASE_DIR}"
)

target_include_directories(unit-tests PRIVATE
    ${CMAKE_SOURCE_DIR}/iconengineplugins/builtinengine
    ${CMAKE_SOURCE_DIR}/iconengineplugins/dciiconengine
    ${CMAKE_SOURCE_DIR}/iconengineplugins/svgiconengine
    ${CMAKE_SOURCE_DIR}/imageformatplugins/svg
    ${CMAKE_SOURCE_DIR}/imageformatplugins/dci
    ${CMAKE_SOURCE_DIR}/styleplugins/chameleon
    ${CMAKE_SOURCE_DIR}/platformthemeplugin
)

=== iconengineplugins/diconengine/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

dtk_add_plugin(
    NAME
      dicon
    OUTPUT_DIR
      ${PLUGIN_OUTPUT_BASE_DIR}/iconengines
    INSTALL_DIR
      ${PLUGIN_INSTALL_BASE_DIR}/iconengines
    SOURCES
      main.cpp
    HEADERS
    DEPENDENCIES
      Qt${QT_VERSION_MAJOR}::GuiPrivate
      Dtk${VERSION_SUFFIX}::Gui
)

=== debian/changelog ===
qt6integration (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:21 +0800

qt6integration (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:51:15 +0800

qt6integration (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:28:44 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## qt6integration 6.0.46

=== debian/changelog ===
qt6integration (6.0.46) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:53 +0800

qt6integration (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:46:26 +0800
